Puzzle / Developers
API referenceProducts

Get Products

GET /company/{id}/products

GET/company/{id}/products

Path Parameters

id*string

The company ID

Length1 <= length

Query Parameters

name?string
serviceType?string

Value in

  • "Inventory"
  • "NonInventory"
  • "Service"
status?string

Value in

  • "Active"
  • "Inactive"
sortBy?string

Value in

  • "INSERT_ORDER_DESC"
  • "INSERT_ORDER_ASC"
  • "NAME_ASC"
  • "NAME_DESC"
count?integer
after?string

Response Body

application/json

curl -X GET "https://example.com/company/string/products"
{  "items": [    {      "id": "string",      "name": "string",      "serviceType": "Inventory",      "status": "Active",      "sku": "string",      "description": "string",      "priceRate": "string"    }  ],  "pageInfo": {    "endCursor": "string",    "hasNextPage": true,    "total": 0  }}

Schema refreshed 2026-11-11T18:57:48.657Z